package com.inet.authentication.urlcookie;

import javax.servlet.Filter;

import com.inet.plugin.PluginInfo;
import com.inet.plugin.ServerPlugin;
import com.inet.plugin.ServerPluginManager;

/**
 * Server plugin to register the UrlCookie filter.
 */
@PluginInfo( //
id = "urlcookie", //
group = "samples", //
icon = "com/inet/authentication/urlcookie/cookie_48.png", //
version = ServerPlugin.CORE_VERSION //
)
public class UrlCookieServerPlugin implements ServerPlugin {

    /**
     * {@inheritDoc}
     */
    @Override
    public void registerExtension( ServerPluginManager spm ) {
        spm.register( Filter.class, new UrlCookie() );
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void init( ServerPluginManager spm ) {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void reset() {
        // nothing
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void restart() {
        // nothing
    }
}
